Cyan Web API - Version 1


GET api/messageAudits?{messageId}

            Gets all of the MessageAudit resources for a given MessageId
            

Request Information

Parameters

NameDescriptionAdditional information
messageId
No documentation available.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "messageAuditId": "389f0a37-d460-4410-b628-671d357a4605",
    "messageId": "03bf1760-0eae-4c0e-9036-cdedaf2aaf74",
    "messageAuditTypeId": "8b52b946-9295-4c87-98d6-797fc7ae480d",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-05-11T10:11:17.6667304+00:00",
    "updatedDateUtc": "2026-05-11T10:11:17.6667304+00:00"
  },
  {
    "messageAuditId": "389f0a37-d460-4410-b628-671d357a4605",
    "messageId": "03bf1760-0eae-4c0e-9036-cdedaf2aaf74",
    "messageAuditTypeId": "8b52b946-9295-4c87-98d6-797fc7ae480d",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-05-11T10:11:17.6667304+00:00",
    "updatedDateUtc": "2026-05-11T10:11:17.6667304+00:00"
  },
  {
    "messageAuditId": "389f0a37-d460-4410-b628-671d357a4605",
    "messageId": "03bf1760-0eae-4c0e-9036-cdedaf2aaf74",
    "messageAuditTypeId": "8b52b946-9295-4c87-98d6-797fc7ae480d",
    "messageAuditTypeLookupKey": "sample string 4",
    "text": "sample string 5",
    "messageCyanId": 6,
    "cyanId": 7,
    "createdDateUtc": "2026-05-11T10:11:17.6667304+00:00",
    "updatedDateUtc": "2026-05-11T10:11:17.6667304+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfMessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-05-11T10:11:17.6667304+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:11:17.6667304+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>389f0a37-d460-4410-b628-671d357a4605</MessageAuditId>
    <MessageAuditTypeId>8b52b946-9295-4c87-98d6-797fc7ae480d</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>03bf1760-0eae-4c0e-9036-cdedaf2aaf74</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-05-11T10:11:17.6667304+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:11:17.6667304+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>389f0a37-d460-4410-b628-671d357a4605</MessageAuditId>
    <MessageAuditTypeId>8b52b946-9295-4c87-98d6-797fc7ae480d</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>03bf1760-0eae-4c0e-9036-cdedaf2aaf74</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
  <MessageAuditRepresentation>
    <CreatedDateUtc>2026-05-11T10:11:17.6667304+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-05-11T10:11:17.6667304+00:00</UpdatedDateUtc>
    <CyanId>7</CyanId>
    <MessageAuditId>389f0a37-d460-4410-b628-671d357a4605</MessageAuditId>
    <MessageAuditTypeId>8b52b946-9295-4c87-98d6-797fc7ae480d</MessageAuditTypeId>
    <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
    <MessageCyanId>6</MessageCyanId>
    <MessageId>03bf1760-0eae-4c0e-9036-cdedaf2aaf74</MessageId>
    <Text>sample string 5</Text>
  </MessageAuditRepresentation>
</ArrayOfMessageAuditRepresentation>